cascading.flow.planner.graph

## Class BaseAnnotatedElementGraph

- java.lang.Object
- - cascading.flow.planner.graph.BaseElementGraph
  - - cascading.flow.planner.graph.BaseAnnotatedElementGraph

- All Implemented Interfaces:
    AnnotatedGraph, ElementGraph, java.io.Serializable
  Direct Known Subclasses:
    ElementDirectedGraph, ElementMultiGraph

      public abstract class BaseAnnotatedElementGraph
      extends BaseElementGraph
      implements AnnotatedGraph

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EnumMultiMap<FlowElement>` | `annotations`

    - ### Fields inherited from class cascading.flow.planner.graph.BaseElementGraph

      `graph, NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAnnotatedElementGraph()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addParentAnnotations(ElementGraph parent)`
    `EnumMultiMap<FlowElement>` | `getAnnotations()`
    `boolean` | `hasAnnotations()`
    `int` | `hashCode()`

    - ### Methods inherited from class cascading.flow.planner.graph.BaseElementGraph

      `addEdge, addEdge, addHeadVertex, addTailVertex, addVertex, allowMultipleExtentEdges, bindExtents, containsEdge, containsEdge, containsVertex, copyFrom, edgeSet, edgesOf, equals, getAllEdges, getEdge, getEdgeSource, getEdgeTarget, incomingEdgesOf, inDegreeOf, outDegreeOf, outgoingEdgesOf, predecessorListOf, removeAllEdges, removeAllEdges, removeAllVertices, removeEdge, removeEdge, removeVertex, successorListOf, vertexSet, vertexSetCopy, writeDOT`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.flow.planner.graph.ElementGraph

      `copyElementGraph`

- - ### Field Detail

    - #### annotations

          protected EnumMultiMap<FlowElement> annotations

  - ### Constructor Detail

    - #### BaseAnnotatedElementGraph

          public BaseAnnotatedElementGraph()

  - ### Method Detail

    - #### hasAnnotations

          public boolean hasAnnotations()

      Specified by:
        `hasAnnotations` in interface `AnnotatedGraph`

    - #### getAnnotations

          public EnumMultiMap<FlowElement> getAnnotations()

      Specified by:
        `getAnnotations` in interface `AnnotatedGraph`

    - #### addParentAnnotations

          protected void addParentAnnotations(ElementGraph parent)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseElementGraph`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.